#ifndef NPC_HPP_INCLUDED
#define NPC_HPP_INCLUDED

#include "Character.hpp"
#include "../JavaClass/Class.hpp"
#include "NPCInfo.hpp"

namespace Internal
{
    class NPC : public Character
    {
        public:
            NPC(const void* Obj);

            NPC() = default;
            NPC(NPC&& Obj) = default;
            NPC(const NPC& Obj) = default;
            NPC& operator=(NPC&& Obj) = default;
            NPC& operator=(const NPC& Obj) = default;

            static Class GetClass();

            NPCInfo GetNPCInfo() const;

    };
}

#endif // NPC_HPP_INCLUDED
